import * as cdk from '@aws-cdk/core';
export interface BundlerConfig {
    without?: string;
    build?: {
        [gem: string]: string;
    };
}
export interface RubyBundlingProps {
    readonly sourceDirectory: string;
    readonly image: cdk.BundlingDockerImage;
    readonly bundlerConfig: BundlerConfig;
    readonly cacheDirectory: string;
}
export declare class RubyBundling implements cdk.BundlingOptions, cdk.ILocalBundling {
    readonly image: cdk.BundlingDockerImage;
    readonly command: string[];
    readonly volumes: cdk.DockerVolume[];
    readonly environment: {
        [key: string]: string;
    };
    private static readonly BUNDLING_CACHE_DIR;
    private static readonly BUNDLING_SCRIPT;
    private static readonly EXCLUDE_FILES;
    private readonly fingerprintExtra;
    private readonly sourceDirectory;
    private readonly buildCacheDirectory;
    constructor(props: RubyBundlingProps);
    fingerprint(): string;
    get local(): cdk.ILocalBundling;
    tryBundle(outputDir: string): boolean;
}
